## dh-clojure 0.1.0

=== debian/changelog ===
dh-clojure (0.1.0) unstable; urgency=medium

  * Team upload.
  * Switch dh-clojure-lein project handling from custom mini-language to
    "just clojure" after realizing that we need conditionals
    (e.g. profile-dependent behavior).  Thanks to Jérôme Charaoui and
    Louis-Philippe Véronneau for help with the requirements and design.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 06 Oct 2024 14:19:44 -0500

dh-clojure (0.0.0) unstable; urgency=medium

  * Team upload.
  * Provide first version for evaluation.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 08 Sep 2024 13:16:04 -0500
