=== debian/control ===

Source: dh-clojure
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 leiningen,
 libtruss-clojure <!nocheck>,
 maven-debian-helper <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://salsa.debian.org/clojure-team/dh-clojure
Vcs-Browser: https://salsa.debian.org/clojure-team/dh-clojure
Vcs-Git: https://salsa.debian.org/clojure-team/dh-clojure.git
Rules-Requires-Root: no

Package: dh-clojure
Architecture: all
Depends:
 debhelper (>= 13),
 leiningen,
 maven-debian-helper,
 ${maven:Depends},
 ${misc:Depends},
 ${perl:Depends},
Description: debhelper support for clojure packaging
 dh-clojure provides a debhelper buildsystem module to assist with packaging
 Clojure projects for Debian, as well as a packaging example.
