=== example-clojure/debian/rules ===
#!/usr/bin/make -f

export DH_CLOJURE_INSTALL_TEST_JAR=1

%:
	dh $@ --buildsystem=leiningen
