## dh-clojure 0.1.1

=== debian/changelog ===
dh-clojure (0.1.1) unstable; urgency=medium

  * Team upload.

  [ Jérôme Charaoui ]
  * dh-clojure-lein(7): fix example code.

  [ Rob Browning ]
  * Adjust debian/changelog for UNRELEASED 0.1.1 development
  * dh-clojure-lein(7): adjust project handling in examples
  * leiningen::get_project: produce lein stdout on stderr for failures.
    Stacktraces end up there.
  * dh-clojure-lein(7): add some debugging suggestions
  * create-test-maven-repo: remove any installed dh-clojure-lein.
    Otherwise, the existing symlink will block installation of the new
    version.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 09 Dec 2024 15:31:26 -0600
