## dh-clojure 0.2.0

=== debian/changelog ===
dh-clojure (0.2.0) unstable; urgency=medium

  * Team upload.
  * Unify naming and environment variable values: dhclj -> dh-clj,
    dh_clojure -> deb_dh_clj, etc.  Use dh[-_]clj everywhere and a deb_
    prefix for "global" names, e.g. environment variables.  Use "true" for
    all boolean environment variables (e.g. including
    DEB_DH_CLJ_INSTALL_TEST_JAR).
  * Rework to support project adjustment before/after plugin resolution.
    Since Debian might not package some of the plugins, or might package
    versions that differ from those specified in project.clj, we need to
    be able to drop or adjust the plugins before leiningen attempts to
    find them.  Call dh-clj-adjust-project with a new :before-plugins or
    :after-middleware argument at the relevant points in the build.  See
    dh-clojure-lein(8) for further information.
  * Send all diagnostics to stderr.  Otherwise our own diagnostic output
    can interfere with lein invocations producing desired information on
    stdout.
  * dh-clojure-lein(7): note that clients shold only rely on client ns.
  * Add debian.dh-clojure-lein.client/get-dep.
  * Move lein information from README to dh-clojure-lein(7) and expand.
  * Move "applying defaults" message to from info to debug.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 20 Dec 2024 13:35:05 -0600
