=== example-clojure/debian/changelog ===
example-clojure (0.1.0) unstable; urgency=medium

  * start...

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 13 May 2022 14:38:31 -0500
