=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- leiningen,
+ leiningen (>= 2.10.0-5),
  libtruss-clojure <!nocheck>,
  maven-debian-helper <!nocheck>,
 Standards-Version: 4.6.1
@@ -18,7 +18,7 @@
 Architecture: all
 Depends:
  debhelper (>= 13),
- leiningen,
+ leiningen (>= 2.10.0-5),
  maven-debian-helper,
  ${maven:Depends},
  ${misc:Depends},
