=== example-clojure/debian/control ===

Source: example-clojure
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://salsa.debian.org/clojure-team/dh-clojure
Vcs-Browser: https://salsa.debian.org/clojure-team/dh-clojure
Vcs-Git: https://salsa.debian.org/clojure-team/dh-clojure.git

Package: libexample-clojure
Section: devel
Priority: optional
Homepage: https://salsa.debian.org/clojure-team/dh-clojure
Architecture: all
Depends: debhelper (>= 13), ${maven:Depends}
Description: dh-clojure example package
