=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 deb_lein += LEIN_HOME=$(CURDIR)/debian/lein-home
 deb_lein += /usr/bin/lein update-in : assoc :local-repo '"/usr/share/maven-repo"' --
 
-dhclj-lein-ver != $(pf); cd dh-clojure-lein \
+dh_clj_lein_ver != $(pf); cd dh-clojure-lein \
   && $(deb_lein) update-in :version println -- version | head -1
 
 ifneq "0" "$(.SHELLSTATUS)"
@@ -46,17 +46,20 @@
 
 execute_after_dh_auto_install:
 	echo debian/dh-clojure-lein-pom.xml \
-	  --artifact=dh-clojure-lein/target/dh-clojure-lein-$(dhclj-lein-ver).jar \
+	  --artifact=dh-clojure-lein/target/dh-clojure-lein-$(dh_clj_lein_ver).jar \
 	  --usj-name=dh-clojure-lein \
 	  --java-lib > debian/dh-clojure.poms
 	mh_install
 	mh_resolve_dependencies --non-interactive --offline --build -pdh-clojure --non-explore
 
+ex_env = DEB_DH_CLJ_LEIN_OVERRIDE_JAR=$(CURDIR)/dh-clojure-lein/target/dh-clojure-lein-debian.jar
+ex_env += PERLLIB=$(CURDIR)/lib
+
 override_dh_auto_test:
   ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd dh-clojure-lein && $(deb_lein) test
-	cd example-clojure && PERLLIB=$(CURDIR)/lib debian/rules clean
-	cd example-clojure && PERLLIB=$(CURDIR)/lib debian/rules binary
+	cd example-clojure && $(ex_env) debian/rules clean
+	cd example-clojure && $(ex_env) debian/rules binary
 	test -f libexample-clojure_0.1.0_all.deb
 	dpkg-deb -c libexample-clojure_0.1.0_all.deb | grep -Fq \
 		-e './usr/share/java/example.jar' \
@@ -70,7 +73,7 @@
   endif
 
 override_dh_clean:
-	cd example-clojure && PERLLIB=$(CURDIR)/lib debian/rules clean
+	cd example-clojure && $(ex_env) debian/rules clean
 	cd dh-clojure-lein && $(deb_lein) clean
         # dh-clojure-lein/pom.xml via create-test-maven-repo lein install
 	dh_clean \
