=== example-clojure/debian/rules ===
#!/usr/bin/make -f

export DEB_DH_CLJ_INSTALL_TEST_JAR=true

%:
	dh $@ --buildsystem=leiningen
