## dh-clojure 0.2.0+nmu1

=== debian/changelog ===
dh-clojure (0.2.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Santiago Vila to fix FTBFS with the nocheck
    build profile. (Closes: #1116726)

 -- Adrian Bunk <bunk@debian.org>  Wed, 19 Nov 2025 21:47:50 +0200
