=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  leiningen (>= 2.10.0-5),
  libtruss-clojure <!nocheck>,
- maven-debian-helper <!nocheck>,
+ maven-debian-helper,
 Standards-Version: 4.6.1
 Homepage: https://salsa.debian.org/clojure-team/dh-clojure
 Vcs-Browser: https://salsa.debian.org/clojure-team/dh-clojure
